@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');
@import "_mixin.scss";

.content {
  margin: 0 auto;
  padding: 10px;
  text-align: center;
  box-sizing: border-box;
}

ul li {
  list-style-type: none
}

.editor-header-button__item {
  margin: 5px 5px;
  font-size: 11px;
}

.button--grey-color {
  border: 2px #d5d5d5 solid;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  display: inline-block;
  position: relative;
  padding: 5px 5px;
  background-color: #fafbfc;
  right: 0;
  top: 0;
}

.button--grey-color:hover {
  background-color: #dfe6ec;
}

.button--white-color {
  left: -4px;
  top: 0;
  position: relative;
  padding: 5.24px 5px;
  display: inline-block;
  border: 2px #d5d5d5 solid;
  border-left: 0;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

.editor-header-buttons {

  ul {
    margin-top: 34px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding-inline-start: 0;
    padding: 0 20px;

    li:hover {
    }
  }
}

.editor-header {
  margin: 100px auto 0;
  min-width: 320px;

  .content {
    h1 {
      @include header-title(#635c73);
    }

    p {
      margin-top: 23px;
      @include fontParagraph;
    }
  }
}

.octicon {
  position: relative;
  top: 2px
}

.editor-content {
  padding: 25px 0;
  margin: 88px auto 0;
  background-color: #f4f4f4;
  min-width: 320px;
  position: relative;

  .content {
    h1 {
      @include header-title(#8d81ac);
    }
  }

  &_title {
    grid-area: title;
  }

  &-gridblock {
    display: grid;
    max-width: 1200px;
    margin: 0 auto;
    grid-template-areas:
            "title "
            "content "
            "image";
  }

  &-block {
    grid-area: content;
  }
}

.editor-content-block {
  padding-bottom: 50px;
}

.editor-content-item {
  &__img {
    margin: 35px 0 20px;
  }

  &__text {
    h2 {
      padding-top: 12px;
      color: #323232;
      font-family: '﻿Montserrat', sans-serif;
      font-size: 15px;
    }

    p {
      padding-top: 12px;
      @include fontParagraph;
    }
  }
}

.editor-content-img {
  overflow: hidden;
  grid-area: image;
  width: 100%;
  display: inline-block;
  position: relative;
  right: 0;
  bottom: 20px;

  img {
    height: 100%;
    padding: 0 0 20px 20px;
    object-fit: cover;
  }
}

@import "media_xs";
@import "media_md";